升级 hexo 解决 Upgrade braces to version 2.3.1

更新 2019.iosdevlog.com/ 时提示

GitHub 在 2019 的默认分支上发现了 3 个漏洞(1个高,2个中等)。

赶紧去看一下。





那我还是升级一下好了。

查看 hexo-cli 当前版本

$ hexo -v

hexo: 3.8.0
hexo-cli: 1.1.0
os: Darwin 18.6.0 darwin x64
node: 11.12.0
v8: 7.0.276.38-node.18
uv: 1.26.0
zlib: 1.2.11
brotli: 1.0.7
ares: 1.15.0
modules: 67
nghttp2: 1.34.0
napi: 4
llhttp: 1.1.1
http_parser: 2.8.0
openssl: 1.1.1b
cldr: 34.0
icu: 63.1
tz: 2018e
unicode: 11.0

安装 hexo-cli 新版本

$ npm install -g hexo-cli
$ hexo -v

hexo: 3.8.0
hexo-cli: 2.0.0
os: Darwin 18.6.0 darwin x64
node: 11.12.0
v8: 7.0.276.38-node.18
uv: 1.26.0
zlib: 1.2.11
brotli: 1.0.7
ares: 1.15.0
modules: 67
nghttp2: 1.34.0
napi: 4
llhttp: 1.1.1
http_parser: 2.8.0
openssl: 1.1.1b
cldr: 34.0
icu: 63.1
tz: 2018e
unicode: 11.0

更新 npm

npm update

再上传到 GitHub。



警告消失了,这下舒心多了。

编辑于 2019-06-20